package com.zztrapp.zztrapp.ui.index.activity;

import android.view.View;

import com.zztrapp.zztrapp.base.BaseActivity;
import com.zztrapp.zztrapp.bean.BfjPageListBean;
import com.zztrapp.zztrapp.databinding.ActivityBfjHtjlBinding;

/**
 * Describe 报废井回填记录
 * Created by Bby on 2022/7/17
 * Email bby0856@163.com
 */
public class BfjHtjlActivity extends BaseActivity {

    private ActivityBfjHtjlBinding binding;
    private BfjPageListBean.RecordsBean detail;

    @Override
    public View getLayoutId() {
        return binding.getRoot();
    }

    @Override
    protected void initBinding() {
        binding = ActivityBfjHtjlBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void init() {
        binding.navView.navTitle.setText("回填记录");
        binding.navView.navBack.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });
        detail = (BfjPageListBean.RecordsBean) getIntent().getSerializableExtra("detail");
        binding.js.setText(detail.getJs());
        binding.fjhtssdw.setText(detail.getFjhtssdw());
        binding.fjhtfs.setText(detail.getFjhtfs());
        binding.ysjl.setText(detail.getYsjl());
        binding.bz.setText(detail.getBz());
    }

    @Override
    protected void initOnClick() {

    }
}